Bug 229289 - pxelinux.0 does not support pxe menus
pxelinux.0 does not support pxe menus
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: syslinux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2007-02-19 18:12 EST by Michael DeHaan
Modified: 2012-06-20 09:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
example menu file generated from cobbler (22.53 KB, application/octet-stream)
2007-02-19 18:12 EST, Michael DeHaan
no flags Details

  None (edit)
Description Michael DeHaan 2007-02-19 18:12:34 EST
Description of problem:

The version of syslinux that ships on RHEL4U4 does not support PXE menus.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  use a tftp defaults file that contains menu.c32 code -- assume menu.c32 file
copied from a newer version of syslinux.
2.  watch machine PXE boot
3.  note "unknown option in config file message" and that menu options don't
work (user gets stuck in menu).

Actual results:

See steps to reproduce.

Expected results:

Menus work, as with FC6.   It would also be desirable to see the syslinux
package bundle menu.c32 as in fedora.

Additional info:
Comment 1 Michael DeHaan 2007-02-19 18:12:34 EST
Created attachment 148377 [details]
example menu file generated from cobbler
Comment 2 John Hodrien 2007-03-13 09:13:00 EDT
Is that example file correct?  I'd always created pxe menus as described in the
syslinux documentation (/usr/share/doc/syslinux-*/README.menu) such that they'd
always have:

DEFAULT menu.c32

to actually load the menu code.
Comment 3 Michael DeHaan 2007-03-13 10:29:37 EDT
It works.  The above example has been tweaked to work around another bug in
syslinux.  Namely that the menu does not timeout regardless of what the timeout
interval is set to.  It will print the timeout but it will not count down. Ergo,
we don't enter into the menu unless the user has requested it.  A bit ugly, but

The example above will launch into the PXE menu when you type "menu" at the prompt.

Your example is also right, though it's not suitable for non-interactive use
from what I've seen, due to the busted timeout handling when using menu.c32.

Anyhow, neither menu item applies here, as menu.c32 does not work on RHEL with
the shipping version of syslinux.  (Nor does it ship menu.c32).  That's what
this bugzilla was about.

Comment 5 Jiri Pallich 2012-06-20 09:18:51 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.